# You need the 2005 version of "pests.r" (see readme.txt for details)
source("pests.r")

# I make wrapper functions.
source("wrapper.r")

#############
# My Analysis

# read my Japan data
load("Japan.Rdata")
attach(Japan.data)

# Table 2
landmark.par <- my.par(landmark ~ gnp + inflation + population + committee + seat + leg.age + gov.age, Japan.data,1)
major.par <- my.par(major ~ gnp + inflation + population + committee + seat + leg.age + gov.age, Japan.data,1)
ordinary.par <- my.pewma(ordinary ~ gnp + inflation + population + committee + seat + leg.age + gov.age, Japan.data,0.01)

# Figure 3
year <- 49:90
plot(year,landmark,type='l',lwd=4,ylim=c(0,max(ordinary)),
     main=c("Figure 3. The number of LAWs in Japan (1949-1990)"),xlab=c("Year"),ylab=c("LAW"))
lines(year,major)
lines(year,ordinary,lwd=4,lty=2)
legend(74,180,c("Ordinary","Major","Landmark"),lty=c(2,1,1),lwd=c(4,1,4))

# Figure 4
acf.landmark <- acf(landmark)
acf.major <- acf(major)
acf.ordinary <- acf(ordinary)
source("make.figure4.r")




